try {

  var kalturaPlayer = KalturaPlayer.setup({

    targetId: "kalturaplayer",

    provider: {

      partnerId: ''  // UzupeÅ‚nij wÅ‚aÅ›ciwy partnerId

    },

    playback: {

      autoplay: true

    },

    plugins: {

      Watermark: {

        imageUrl: 'https://i.postimg.cc/66Zb2s0d/tv.jpg',

        position: 'top-right',

        displayOnPause: true,

        clickThroughUrl: ''

      }

    }

  });



  kalturaPlayer.setMedia({

    sources: {

      hls: [

        {

          url: "https://89.187.167.247/polsatsportp2.stream/chunks.m3u8",

          mimetype: "application/vnd.apple.mpegurl"

        }

      ],

      type: "Live"

    },

    plugins: {}

  });



  kalturaPlayer.on(kalturaPlayer.Event.Core.PLAYER_LOADED, function() {

    kalturaPlayer.setVolume(1.0);  // 1.0 to 100%, 0.5 to 50%, 0.0 to mute

  });



} catch (e) {

  console.error(e.message);

}



kalturaPlayer.addEventListener(kalturaPlayer.Event.Core.VOLUME_CHANGE, function(event) {

  console.info(kalturaPlayer.getVolume());

});



const events = [

  kalturaPlayer.Event.Core.PLAY,

  kalturaPlayer.Event.Core.PAUSE,

  kalturaPlayer.Event.Core.TIME_UPDATE,

  kalturaPlayer.Event.Core.ENTER_FULLSCREEN,

  kalturaPlayer.Event.Core.EXIT_FULLSCREEN

];

events.forEach(function(eventName) {

  kalturaPlayer.addEventListener(eventName, function(event) {

    console.info(event.type);

  });

});

